php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #9521 segfault oci8 with oracle 8.1.7
Submitted: 2001-03-02 04:42 UTC Modified: 2001-04-16 05:28 UTC
From: norbert dot jungbauer at toshiba-tro dot de Assigned:
Status: Closed Package: OCI8 related
PHP Version: 4.0.4pl1 OS: Linux 7.0
Private report: No CVE-ID: None
 [2001-03-02 04:42 UTC] norbert dot jungbauer at toshiba-tro dot de
after successfully compiling of PHP4.0.4 and Oracle 8.1.7
it's not possible to start the apache 1.3.12 server because of a segfault failure 

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-03-02 09:34 UTC] sniper@php.net
1. Have you set the Oracle specific environment vars mentioned 
at http://www.php.net/oci8 before starting apache?
2. Is your apache linked with phtread library?

If answer is yes to both of the questions, please generate
a gdb backtrace of the crash. Remember to first configure 
PHP with --enable-debug (and recompile it)

--Jani

 [2001-04-16 05:28 UTC] jmoore@php.net
Please try this with 4.0.5 when it is released and repoen report if the problem still persists

- James
 
PHP Copyright © 2001-2023 The PHP Group
All rights reserved.
Last updated: Thu Feb 09 13:03:40 2023 UTC